## org.hibernate.dialect.lock
Class AbstractSelectLockingStrategy

    java.lang.Object
      org.hibernate.dialect.lock.AbstractSelectLockingStrategy

All Implemented Interfaces:
  LockingStrategy

Direct Known Subclasses:
  PessimisticReadSelectLockingStrategy, PessimisticWriteSelectLockingStrategy, SelectLockingStrategy

    public abstract class AbstractSelectLockingStrategy

extends Object
implements LockingStrategy

Base `LockingStrategy` implementation to support implementations based on issuing `SQL` `SELECT` statements

Author:
  Steve Ebersole

Constructor Summary
`protected` `AbstractSelectLockingStrategy(Lockable lockable, LockMode lockMode)`

Method Summary
`protected String` `determineSql(int timeout)`
`protected abstract String` `generateLockString(int lockTimeout)`
`protected Lockable` `getLockable()`
`protected LockMode` `getLockMode()`
`String` `getNoWaitSql()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.dialect.lock.LockingStrategy
`lock`

Constructor Detail

### AbstractSelectLockingStrategy

    protected AbstractSelectLockingStrategy(Lockable lockable,
                                            LockMode lockMode)

Method Detail

### getLockable

    protected Lockable getLockable()

### getLockMode

    protected LockMode getLockMode()

### generateLockString

    protected abstract String generateLockString(int lockTimeout)

### determineSql

    protected String determineSql(int timeout)

### getNoWaitSql

    public String getNoWaitSql()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.